import request from '@/utils/request'

// 院校库 00 院校列表数据筛选项
export function filters(params) {
    return request({
        url: '/front/university/filters',
        method: 'get',
        params: params
    })
}

// 院校库 00 院校列表数据筛选项
export function features(params) {
    return request({
        url: '/front/university/features',
        method: 'get',
        params: params
    })
}

// 院校库 01 院校列表
export function universityList(params) {
    return request({
        url: '/front/university/list',
        method: 'get',
        params: params
    })
}

// 院校库 02 院校详情
export function universityDetail(params) {
    return request({
        url: '/front/university/detail',
        method: 'get',
        params: params
    })
}

export function getUniversitiesEnrollBrochureDetail(params) {
    return request({
        url: '/front/university/getUniversitiesEnrollBrochureDetail',
        method: 'get',
        params: params
    })
}


// 专业库 01 专业分类列表
export function majorList(params) {
    return request({
        url: '/front/marjors/list',
        method: 'get',
        params: params
    })
}

// 专业库 02 专业详情
export function majorDetail(params) {
    return request({
        url: '/front/marjors/detail',
        method: 'get',
        params: params
    })
}

// 职业库 01 职业列表
export function getAllVocation(params) {
    return request({
        url: '/front/vocational/getAllVocation',
        method: 'get',
        params: params
    })
}


/**
 * 获取职业就业详情
 * @param params
 */
export function vocationalPostsDetail(params) {
    return request({
        url: '/front/vocational/getVocationalPostDetailByPostName',
        method: 'get',
        params: params
    })
}

/**
 * 获取就业岗位
 * @param params
 */
export function vocationalPosts(params) {
    return request({
        url: `/front/vocational/getVocationalPosts`,
        method: 'get',
        params
    })
}

// 职业概况
export function vocationalOverview(params) {
    return request({
        url: `/front/vocational/getVocationalOverview`,
        method: 'get',
        params
    })
}

// 00 院校列表数据筛选项-院校类型
export function universityTypes(params) {
    return request({
        url: '/front/university/types',
        method: 'get',
        params: params
    })
}

// 00 院校列表数据筛选项-地域
export function universityLocations(params) {
    return request({
        url: '/front/university/locations',
        method: 'get',
        params: params
    })
}

// 00 院校列表数据筛选项-学历层次
export function universityLevels(params) {
    return request({
        url: '/front/university/levels',
        method: 'get',
        params: params
    })
}


// 01 查询列表
export function xkcxList(params) {
    return request({
        url: '/front/syzy/xkcx/list',
        method: 'get',
        params: params
    })
}


// 专业库 00 专业类型
export function majorTypes(params) {
    return request({
        url: '/front/marjors/types',
        method: 'get',
        params: params
    })
}

// 专业库 01 所有专业
export function getAllMajor(params) {
    return request({
        url: '/front/major/getAllMajor',
        method: 'get',
        params: params
    })
}


// 专业库 02 搜索
export function getMajorByName(params) {
    return request({
        url: '/front/major/getMajorByName',
        method: 'get',
        params: params
    })
}

// 专业库 03 详情 概况
export function majorOverview(params) {
    return request({
        url: '/front/major/getMajorOverviewByCode',
        method: 'get',
        params: params
    })
}

// 专业库 04 详情 就业前景
export function careerProspects(params) {
    return request({
        url: '/front/major/getMajorCareerProspectsByCode',
        method: 'get',
        params: params
    })
}

// 专业库 05 详情  开设院校
export function getUniversityByCode(params) {
    return request({
        url: '/front/major/getUniversityByCode',
        method: 'get',
        params: params
    })
}

// 院校风采
export function universitiesStyle(params) {
    return request({
        url: '/front/university/getUniversitiesStyle',
        method: 'get',
        params: params
    })
}

// 获取学科评估类型
export function evaluateType(params) {
    return request({
        url: '/system/dict/data/type/subject_evaluate_type',
        method: 'get',
        params: params
    })
}

// 招生简章
export function enrollBrochure(params) {
    return request({
        url: '/front/university/getUniversitiesEnrollBrochure',
        method: 'get',
        params: params
    })
}

// 保存招生简章热度/点击
export function saveEnrollBrochureHits(params) {
    return request({
        url: '/front/university/saveUniversitiesEnrollBrochureHits',
        method: 'post',
        params: params
    })
}

// 排名筛选
export function rankingFilter(params) {
    return request({
        url: '/front/university/getUniversitiesRankingFilter',
        method: 'get',
        params: params
    })
}


// 根据type获取排名
export function getUniversitiesRankingByTypes(params) {
    return request({
        url: '/front/university/getUniversitiesRankingByTypes',
        method: 'get',
        params: params
    })
}

// 收藏 移除
export function collectRemove(params) {
    return request({
        url: '/front/syzy/xkcx/collect/remove',
        method: 'get',
        params: params
    })
}

// 收藏 添加
export function collectAdd(params) {
    return request({
        url: '/front/syzy/xkcx/collect/add',
        method: 'get',
        params: params
    })
}

// 选科收藏 添加移除
export function saveSelectCourse(params) {
    return request({
        url: '/front/syzy/xkcx/saveSelectCourse',
        method: 'get',
        params: params
    })
}

// 选科年份
export function selectYears(params) {
    return request({
        url: '/front/syzy/xkcx/years',
        method: 'get',
        params: params
    })
}
